%define tarname rubyunit
%define tarvers 0.5.5
Summary: RubyUnit is a simple testing framework for Ruby
Name: ruby-RubyUnit
Version: 0.5.5
Release: 1
License: Distributable
Group: Applications/Ruby
Source: http://homepage1.nifty.com/markey/ruby/rubyunit/%{tarname}-%{tarvers}.tar.gz
URL: http://homepage1.nifty.com/markey/ruby/rubyunit/index_e.html
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby
Conflicts: ruby-test-unit

%description
RubyUnit is a simple testing framework for Ruby.

%prep
%setup -n %{tarname}-%{tarvers}

%build

%install
rm -rf $RPM_BUILD_ROOT
eval sitedir=`ruby -r rbconfig -e 'p Config::CONFIG["sitedir"]'`
eval bindir=`ruby -r rbconfig -e 'p Config::CONFIG["bindir"]'`
mkdir -p $RPM_BUILD_ROOT{$sitedir,$bindir}
ruby -i -pe "sub(/(Config::CONFIG\['(site|bin)dir'])/, \
	    '\"$RPM_BUILD_ROOT\" + \1')" install.rb
ruby install.rb
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ChangeLog GPL README* ToDo
%doc -P doc_en doc_ja sample/

%changelog
* Mon Aug  5 2002 Ian Macdonald <ian@caliban.org>
- 0.5.5

* Sun Jul 28 2002 Ian Macdonald <ian@caliban.org>
- 0.5.4.03

* Thu Apr 12 2002 Ian Macdonald <ian@caliban.org>
- 0.5.4.02
